## kgb-bot 1.15

=== debian/changelog ===
kgb-bot (1.15-2) unstable; urgency=low

  * client: denote libfile-touch-perl dependency to a recommendation
  * bot: require client 1.15 for the detect_common_dir move

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 Sep 2011 10:03:37 +0300

kgb-bot (1.15-1) unstable; urgency=low

  * New release

  * Client:
   + use single line note for annotated tags
  * Server:
   + fix single line commits with multi-line explaination
   + no bold revision by default
   + drop (bold) repository name from the notification

 -- Damyan Ivanov <dmn@debian.org>  Wed, 14 Sep 2011 19:54:16 +0300

kgb-bot (1.14-1) unstable; urgency=low

  * Client: add an option to keep the last used server in a directory
  * Client/Server: add support for single line commit notifications
  * add (build-)dependency on libfile-touch-perl

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Aug 2011 23:41:20 +0300

kgb-bot (1.13-1) unstable; urgency=low

  * numerous test improvements
  * fix: no warnings when commits have no author
  * bot: log repository on authentication failure
  * put tag name in changes for plain tags too
  * bot: always decode parameters

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Aug 2011 18:48:16 +0300

kgb-bot (1.10-1) unstable; urgency=low

  * Skip tests requiring SVN::* or Git when these are missing
  * fix dist_name from App::KGB to App-KGB
  * disable indexing of privinc
  * fix a couple of cases of conditional declaration
  * add a Perl::Critic test for conditional declarations
  * bot: do not answer back if no answers are configured.
  * rate-limit autoresponses
  * bump years in debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Aug 2011 16:43:03 +0300

kgb-bot (1.08-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * Client::Git: use --format=raw when describing annotated tags

  [ Salvatore Bonaccorso ]
  * debian/control: Remove libdigest-sha1-perl from Depends for kgb-client
    binary package. 
  * Bump Standards-Version to 3.9.2.

  [ gregor herrmann ]
  * Switch to source format 3.0 (quilt).
  * Bump debhelper compatibility level to 8; remove "--buildsystem=perl_build"
    in debian/rules.
  * debian/control: remove versioned dependency on perl >= 5.10.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Aug 2011 16:52:02 +0300

kgb-bot (1.06-2) unstable; urgency=low

  [ gregor herrmann ]
  * Add a postrm script to remove the log in purge; thanks to Holger Levsen
    and piuparts for the bug report (closes: #605978).
  * Add a logrotate config file.
  * Add /me to Uploaders.
  * debian/copyright: switch to DEP5 formatting.

 -- Damyan Ivanov <dmn@debian.org>  Sun, 05 Dec 2010 17:37:01 +0200

kgb-bot (1.06-1) unstable; urgency=low

  [ gregor herrmann ]
  * kgb-bot:
    - fix typo when accessing global config
    - call polygen_available with full class name

  [ Damyan Ivanov ]
  * kgb-bot: drop the asterix prefix from revision number
  * Makefile: fix (real|dist)clean targets to use ./Build for the real work
  * App::KGB::Change:
    + fix typo in POD
    + make the stringification method public and document it
  * t/52-client-git.t: when comparing changes, force objects to stringify
  * MANIFEST.SKIP: add MYMETA.yml
  * fix typo in Client::Subversion POD

  * Packaging:
   + rules: fix determining package version
   + copyright: point to versioned GPL
   + control: add Homepage

 -- Damyan Ivanov <dmn@debian.org>  Sat, 04 Dec 2010 11:12:31 +0200

kgb-bot (1.05-1) unstable; urgency=low

  [ gregor herrmann, Damyan Ivanov ]
  * kgb-bot: use File::Which to find polygen binary; split out the
    polygen-finding function; add libfile-which-perl to Suggests;
    closes: #593631 -- can't access /usr/bin/polygen
  * kgb-bot: check existence of polygen binary just before using it;
    closes: #593633 -- dies when polygen is removed after daemon startup
  * any problems in finding/running polygen binary are logged only when debug
    is enabled as a counter-measure against remotely-assisted log abuse

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Sep 2010 22:49:25 +0300

kgb-bot (1.04-1) unstable; urgency=low

  * use Digest::SHA from core instead of ::SHA1
  * remove references to Svn::* from Build.PL
    Closes: #582739 (by working around #589812)
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 03 Aug 2010 22:33:23 +0300

kgb-bot (1.03-1) unstable; urgency=low

  * New upstream release
    + adds rotocol v2 with the ability to explicitly specify revision prefix,
      which is 'r' for Subversion and empty otherwise
  * Standardss-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Apr 2010 23:40:15 +0300

kgb-bot (1.01-3) unstable; urgency=medium

  * Make 'restart' init.d script action stop and re-start the daemon as
    directed by the policy. Closes: #566004. Thanks to Evgeni Golov.

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Jan 2010 18:40:15 +0200

kgb-bot (1.01-2) unstable; urgency=low

  [ gregor herrmann ]
  * Build depend on locales-all and run tests under a UTF-8 locale
    (closes: #560657).

  [ Damyan Ivanov ]
  * add a watch file

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Dec 2009 22:27:36 +0200

kgb-bot (1.01-1) unstable; urgency=low

  * New upstream release
    + Fixex client when cross-branch/module commits are made

 -- Damyan Ivanov <dmn@debian.org>  Sat, 05 Dec 2009 16:16:02 +0200

kgb-bot (1.00-1) unstable; urgency=low

  * New upsream release
    + Fixes support for unicode commit messages

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 Dec 2009 19:34:35 +0200

kgb-bot (0.16-1) unstable; urgency=low

  * New upstream release

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 Nov 2009 18:49:49 +0200

kgb-bot (0.15-1) unstable; urgency=low

  * New upstream release
  * Split Git support in kgb-client-git
    - avoids a bunch of dependencies being installed with the server
  * kgb-bot: drop polygen and libipc-run-perl to Recommends

 -- Damyan Ivanov <dmn@debian.org>  Sat, 07 Nov 2009 16:22:01 +0200


