=== debian/control ===
Source: kgb-bot
Section: devel
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
 perl (>= 5.10.1) | libautodie-perl,
 libclass-accessor-perl,
 libfile-touch-perl,
 libipc-run-perl,
 libipc-system-simple-perl,
 libpoe-component-irc-perl (>= 5.56),
 libpoe-component-server-soap-perl,
 libpoe-perl,
 libproc-pid-file-perl,
 libschedule-ratelimiter-perl,
 libsoap-lite-perl,
 libsvn-perl,
 libtest-compile-perl,
 libtest-pod-coverage-perl,
 libtest-pod-perl,
 perl (>= 5.10.1) | libtest-simple-perl (>= 0.92),
 libyaml-perl,
 git-core,
 subversion,
 locales-all
Vcs-Svn: svn://svn.debian.org/kgb/kgb/
Vcs-Browser: http://svn.debian.org/viewsvn/kgb/kgb/
Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>, Damyan Ivanov <dmn@debian.org>,
 gregor herrmann <gregoa@debian.org>
Standards-Version: 3.9.2
Homepage: http://kgb.alioth.debian.org/

Package: kgb-bot
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, adduser,
 libpoe-component-irc-perl (>= 5.56),
 libpoe-component-server-soap-perl,
 libpoe-perl,
 libproc-pid-file-perl,
 libschedule-ratelimiter-perl,
 libyaml-perl,
 kgb-client (>= 1.15)
Suggests: polygen, libipc-run-perl, libfile-which-perl
Description: IRC collaboration bot
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occures.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the server-side daemon, kgb-bot, which is responsible
 for relaying commit notifications to IRC.

Package: kgb-client
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libclass-accessor-perl,
 libsoap-lite-perl,
 libsvn-perl,
 libyaml-perl
Recommends: kgb-client-git,
 libfile-touch-perl
Suggests: kgb-bot
Description: client for KGB (IRC collaboration bot)
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occures.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the client-side program, kgb-client, which is supposed
 to be used as an hook in your version control system and sends the
 notifications to the KGB daemon.
 .
 Currently supported version control systems are:
  * Subversion
  * Git
 .
 Note that Git support is provided by a separate package, kgb-client-git

Package: kgb-client-git
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 git-core,
 kgb-client,
 libipc-run-perl
Enhances: kgb-client
Description: client for KGB (IRC collaboration bot) - Git support
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occures.
 .
 This package adds support to Git version control system to kgb-client.
