## kgb-bot 1.25

=== debian/changelog ===
kgb-bot (1.25-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.
    - debian/rules: Delete test on versions, as it always fails with Ubuntu
      versioning.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 18 Dec 2012 20:34:26 -0500

kgb-bot (1.25-1) unstable; urgency=low

  * New upstream release
    + slignt improvement of CVS-related documentation
    + added support for using IRC notices instead of ordinary messages
    + added support for disabling colors

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Dec 2012 14:25:01 +0200

kgb-bot (1.24-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1082643). Remaining changes:
    - debian/control: build dependency on language-pack-bg-base and deleted
      build dependency on missing locales-all. This fixes a FTBFS
    - debian/rules: deleted test on versions as it always fails with ubuntu
      versioning

 -- Vibhav Pant <vibhavp@gmail.com>  Sat, 24 Nov 2012 18:04:59 +0530

kgb-bot (1.24-1) unstable; urgency=low

  * New release. See Changes for details. Closes: #691562.
  * debian/control: Add missing App::KGB::Client::RelayMsg module.
  * debian/control: Make build dependency on libtest-compile-perl
    versioned.
  * debian/NEWS: add NEWS file for the port change
  * debian/control: fix libmodule-build-perl version

 -- Martín Ferrari <tincho@debian.org>  Thu, 22 Nov 2012 11:54:21 +0000

kgb-bot (1.23-1ubuntu1) raring; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: build dependency on language-pack-bg-base and deleted
      build dependency on missing locales-all. This fixes a FTBFS
    - debian/rules: deleted test on versions as it always fails with ubuntu
      versioning

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 31 Oct 2012 12:07:00 +0100

kgb-bot (1.23-1) unstable; urgency=low

  * t/compile*: use Test::Compile::Internal in order to show verbose errors
  * Server:
    + add --debug command line switch
    + replace --config-dir option with 'include:' configuration item
      add 'include: "/etc/kgb-bot/kgb.conf.d"' to the default config
    + default pid_dir to /var/run/kgb-bot
  * Documentation:
    + add manuals for kgb.conf and kgb-client.conf
    + pod.t: test documentation in man*/ too
    + give example for gitweb URL
  * Client:
    + show expanded web-link in verbose mode
    + dump processed configuration in verbose mode
    + shorten_url: really return plain URL if shortening is not enabled
    + send_changes: detailed dump in verbose mode
    + introduce module-and-branch-re setting and deprecate
      branch-and-module-re-swap

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Oct 2012 21:13:44 +0300

kgb-bot (1.22-1) unstable; urgency=low

  [ gregor herrmann ]
  * kgb-add-project: document the new --dir option
  * Install /etc/kgb-bot/kgb.conf.d directory into kgb-bot package.
  * add kgb-split-config script for splitting monolythic config into
    per-project files

  [ Damyan Ivanov ]
  * Add API documentation (JSON-RPC only)
  * Server:
    + prepend all IRC strings with a hidden character to avoid addressing
    + check permissions of the conf.d directory
    + pass --config-dir too on restart
    + honour --foreground when reloading and don't reopen the log
    + change the delimiters around web links to make konsole users' life
      easier
    + refuse to load world-readable configuration files
  * fix a bug in determining the longest common directory in a change set

 -- Damyan Ivanov <dmn@debian.org>  Sun, 14 Oct 2012 11:30:10 +0300

kgb-bot (1.21-1) unstable; urgency=low

  * Server:
    + fix exception handling
    + better error messages
  * Debli: RPC returns the key only, prepend 'http://deb.li/'

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Oct 2012 23:00:33 +0300

kgb-bot (1.20-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * kgb-add-project: avoid using 'keys($hashref)' which requires too recent perl
  * client:
   + add --repository to synopsis
   + fix --repository in CVS example
   + CVS: silence debugging output
   + WWW:Shorten::Debli implementation (uses deb.li for URL shortening)
   + determine default repository type from the environment
     (makes --repository useless)
   + determine default module from git directory
     (makes --module redundant for Git)
   + allow explicit protocol configuration
   + saving of last contacted server -- in a separate method
  * server:
   + ensure trailing \n in KGB->out
   + note repository id on internal errors
   + conf.d/*.conf style configuration
   + use exceptions for handling argument errors
   + turn on utf8 mode on STDOUT/ERR
   + use shorter timestamp representation
  * client and server:
   + protocol 4 (JSON-RPC)
   + plain message relaying (Closes: #689641)
  * packaging:
   + install Client::Fake in kgb-client package (Closes: #689984)
   + add libjson-perl to kgb-bot Depends

  [ gregor herrmann ]
  * some spellchecking in the POD

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Oct 2012 22:25:21 +0300

kgb-bot (1.19-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * bot: add timestamp to log messages
  * bot: use KGB->out() instead of plain warn() for consistent log messages
  * bot: tighten auto-responce rate-limit to stop storms in the first screen
  * bot: silently ignore empty changes
  * bot: do not crash on internal errors while processing requests

  [ gregor herrmann ]
  * kgb-add-project: sort the channel hashes to make sure "name" is the first
    key.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Oct 2012 21:20:09 +0300

kgb-bot (1.18-1) unstable; urgency=low

  * bot: fix channel-must-have-a-repository check for broadcast channels

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Oct 2012 14:07:27 +0300

kgb-bot (1.17-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * improve wording of web-link description

