=== debian/control ===
Source: kgb-bot
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
                     libclass-accessor-perl,
                     libfile-touch-perl,
                     libipc-run-perl,
                     libipc-system-simple-perl,
                     libjson-perl,
                     libjson-rpc-perl,
                     libmodule-build-perl (>= 0.400000) | perl (>= 5.17.1),
                     libpoe-component-irc-perl,
                     libpoe-component-server-soap-perl,
                     libpoe-perl,
                     libproc-pid-file-perl,
                     libschedule-ratelimiter-perl,
                     libsoap-lite-perl,
                     libsvn-perl,
                     libtest-compile-perl (>= 0.19),
                     libtest-pod-coverage-perl,
                     libtest-pod-perl,
                     libwww-shorten-perl,
                     libyaml-perl,
                     git-core,
                     subversion,
                     language-pack-bg-base
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/viewsvn/kgb/kgb/
Vcs-Svn: svn://svn.debian.org/kgb/kgb/
Homepage: http://kgb.alioth.debian.org/

Package: kgb-bot
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         adduser,
         libjson-perl,
         libpoe-component-irc-perl,
         libpoe-component-server-soap-perl,
         libpoe-perl,
         libproc-pid-file-perl,
         libschedule-ratelimiter-perl,
         libyaml-perl,
         kgb-client (>= 1.15)
Suggests: polygen,
          libipc-run-perl,
          libfile-which-perl
Description: IRC collaboration bot
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the server-side daemon, kgb-bot, which is responsible
 for relaying commit notifications to IRC.

Package: kgb-client
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-perl,
         libsoap-lite-perl,
         libsvn-perl,
         libyaml-perl
Recommends: kgb-client-git,
            libfile-touch-perl,
            libjson-perl,
            libjson-rpc-perl,
            libwww-shorten-perl
Suggests: kgb-bot
Description: client for KGB (IRC collaboration bot)
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the client-side program, kgb-client, which is supposed
 to be used as an hook in your version control system and sends the
 notifications to the KGB daemon.
 .
 Currently supported version control systems are:
  * Subversion
  * Git (via kgb-client-git package)
  * CVS

Package: kgb-client-git
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         git-core,
         kgb-client,
         libipc-run-perl
Enhances: kgb-client
Description: client for KGB (IRC collaboration bot) - Git support
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 This package adds support of Git version control system to kgb-client.
