=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,3 @@
 MOD_VER := $(shell perl -Ilib -MApp::KGB -e'print $$App::KGB::VERSION')
 override_dh_auto_test:
 	LANG=bg_BG.utf8 LC_ALL=bg_BG.utf8 dh_auto_test
-	[ "$(PKG_VER)" = "$(MOD_VER)" ] \
-	    || ( echo "Package version ($(PKG_VER)) doesn't match module version ($(MOD_VER))"; exit 1 )
