## kgb-bot 1.27

=== debian/changelog ===
kgb-bot (1.27-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.
    - debian/rules: Delete test on versions, as it always fails with Ubuntu
      versioning.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 09 Jun 2013 22:58:29 +0530

kgb-bot (1.27-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * New upstream release
    + now supports including full author name in the notification
      Closes: #700319 -- kgb-bot should allow to use the real name or entire
      mail address in messages
    + supports entirely client-constructed notifications
      Closes: #693258 -- Permit output of the repo-id string

  [ gregor gerrmann ]
  * Install the new kgb-protocol(7) manpage.
    Thanks to Andrea Veri for noticing it was missing.
  * debian/copyright: Update years of copyright.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 29 May 2013 21:07:27 +0300

kgb-bot (1.26-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.
    - debian/rules: Delete test on versions, as it always fails with Ubuntu
      versioning.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 30 Apr 2013 13:45:46 -0400

kgb-bot (1.26-1) unstable; urgency=low

  * update kgb-client.conf manual with the new options
  * rework Git branch walking
    avoids multiple notification about merged commits (Closes: #698133)
  * init: Use user configured in $RUN_AS as owner of logfiles.
    Otherwise log files created as 'Debian-kgb' can't be written to if the
    RUN_AS variable is modified
    Thanks to Alexander Barton for the patch.
    (Closes: #699027)
  * notify even if log message is invalid UTF-8
    notification with log of "(log is invalid UTF-8)" is better than
    no notification at all
    (Closes: #691183)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 28 Mar 2013 08:41:36 +0200
