## kgb-bot 1.31

=== debian/changelog ===
kgb-bot (1.31-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 May 2014 15:44:28 +0200

kgb-bot (1.31-1) unstable; urgency=low

  * client: default to using json
  * remove author-login from default message templates
  * TODO: plans for implementing central configuration
  * import dirname in Client.pm
  * configure test git repositories wheter test bot is running or not
  * remove project from default configuration
  * update documentation about default message templates
  * add author_name field for CVS commits
  * client: decode arguments given to --relay-msg
  * require JSON::XS instead of plain JSON

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Aug 2013 09:41:02 +0200

kgb-bot (1.30-1) unstable; urgency=low

  * bot: fix colorize_change_wrapper

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Aug 2013 15:57:55 +0200

kgb-bot (1.29-1) unstable; urgency=low

  [ Martín Ferrari ]
  * Fix invalid Vcs-Svn field.
  * Check BOT_ENABLED before starting the bot in the restart action.

  [ gregor herrmann ]
  * Install missing App/KGB/Painter.pm and other files.
  * debian/rules: call dh_install with --fail-missing to avoid forgetting new
    files in the future.
  * debian/control: kgb-client: move libjson-* from Recommends to Depends.
    Thanks to Pete Wyckoff for the hint in #718286.
  * debian/control: make Vcs-* fields canonical. Thanks, lintian.
  * debian/control: use git instead of git-core, the package was renamed some
    years ago.
  * Fix failure with Safe-2.35.
    Thanks to Petr Písař <ppisar@redhat.com> for the patch.

  [ Damyan Ivanov ]
  * detect UTF8 in full author name
  * add kgb.enable-branch-ff-notification Git option (true by default) for
    managing fast forward notifications
  * declare test dependencies in test_requires
  * client: add --debug option
  * chomp git-config-determined config file path before usage
  * replace ~~ (smartmatch) usage. ~~ is deprecated in perl 5.18
  * replace given/when usage, declared experimental in perl 5.18
  * client: verify config file structures
  * git client: do not die on unknown ref updates (see #706375)
  * git client: squash creation if numerous tags (>5 currently)
  * configurable tag squash threshold/message
  * correct POD about Client->format_message arguments
  * bot: allow setting of "" color to disable colouring of a given item
  * bot: use App::KGB::Painter for coloring
  * bot: add --simulate-color option enabling color codes in the dump file
  * include tag name in the Tag object created from annotated tags
  * merge back kgb-client-git package into kgb-client
  * git client: allow specifying project-id via git-config
  * t/50-client.t: skip tests with UTF-8 commit messages (subversion) unless
    C_TYPE is known to use UTF-8. RT#80664
  * adapt to newer JSON-RPC which renamed the client module (RT#80666)
  * add versions to all modules to satisfy the CPAN indexer
  * make sure that strict and warnings are used everywhere

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Aug 2013 00:59:54 +0200
