=== debian/control ===
Source: kgb-bot
Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
                     libclass-accessor-perl,
                     libfile-touch-perl,
                     libipc-run-perl,
                     libipc-system-simple-perl,
                     libjson-xs-perl,
                     libjson-rpc-perl,
                     libmodule-build-perl (>= 0.400000) | perl (>= 5.17.1),
                     libpoe-component-irc-perl,
                     libpoe-component-server-soap-perl,
                     libpoe-perl,
                     libproc-pid-file-perl,
                     libschedule-ratelimiter-perl,
                     libsoap-lite-perl,
                     libsvn-perl,
                     libtest-compile-perl (>= 0.19),
                     libtest-pod-coverage-perl,
                     libtest-pod-perl,
                     libwww-shorten-perl,
                     libyaml-perl,
                     git,
                     subversion,
                     locales-all
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kgb/kgb.git
Vcs-Git: git://anonscm.debian.org/kgb/kgb.git/
Homepage: http://kgb.alioth.debian.org/

Package: kgb-bot
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         adduser,
         libipc-run-perl,
         libjson-xs-perl,
         libpoe-component-irc-perl,
         libpoe-component-server-soap-perl,
         libpoe-perl,
         libproc-pid-file-perl,
         libschedule-ratelimiter-perl,
         libyaml-perl,
         kgb-client (>= 1.15),
         git
Suggests: polygen,
          libfile-which-perl
Description: IRC collaboration bot
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the server-side daemon, kgb-bot, which is responsible
 for relaying commit notifications to IRC.

Package: kgb-client
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-perl,
         libjson-xs-perl,
         libjson-rpc-perl,
         libsoap-lite-perl,
         libsvn-perl,
         libyaml-perl
Replaces: kgb-client-git (<= 1.28-1~)
Breaks: kgb-client-git (<= 1.28-1~)
Recommends: libfile-touch-perl,
            libwww-shorten-perl
Suggests: kgb-bot
Description: client for KGB (IRC collaboration bot)
 KGB is an IRC bot, helping people work together by notifying an IRC channel
 when a commit occurs.
 .
 It supports multiple repositories/IRC channels and is fully configurable.
 .
 This package contains the client-side program, kgb-client, which is supposed
 to be used as an hook in your version control system and sends the
 notifications to the KGB daemon.
 .
 Currently supported version control systems are:
  * Git
  * Subversion
  * CVS
