## kgb-bot 1.33

=== debian/changelog ===
kgb-bot (1.33-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add build dependency on language-pack-bg-base and delete build 
      dependency on missing locales-all. This fixes an FTBFS.
      (Ubuntu specific change)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 17 Nov 2014 12:21:23 +0530

kgb-bot (1.33-2) unstable; urgency=medium

  * add patch fixing tests in build environments where the current user has no
    full name (Closes: #769239 -- FTBFS)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 15 Nov 2014 19:03:05 +0000

kgb-bot (1.33-1) unstable; urgency=medium

  * TestBot: set $ENV{USER} to getpwuid($>) to fix discrepancy when running
    under pbuilder
  * Standards-Version: 3.9.4 → 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 06 Aug 2014 20:01:47 +0000

kgb-bot (1.32-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * bot: store real path to the pid directory
  * bot: remove PID file on exit
  * fix utf-8 locale detection in 50-client.t
  * TestBot: test helper module for running a real bot for tests
  * 50-client.t: check real bot output
  * TestBot: report bot PID when starting/stopping
  * convert 52-client-git to TestBot
  * fix detection of common changes path when using msg_template
  * require File::Remove and Test::Differences for tests
  * convert 53-client-git-merges.t to TestBot
  * convert 54-client-git-squash.t to TestBot
  * convert t/55-client-git-merges-ff.t to TestBot
  * convert t/56-client-git-ff-merge-2.t to TestBot
  * convert t/57-client-git-squash-tags.t to TestBot
  * avoid double-spaces when formatting messages
  * bot: honour broadcast channels setting when relaying messages too

  [ gregor herrmann ]
  * kgb.conf(5): improve documentation for server_addr variable.
    (Closes: #744689)

  [ Damyan Ivanov ]
  * kgb-client: add support for setting Git-specific options via the
    configuration file/command line
  * point to client backends for backend-specific configuration options
  * use encoding 'utf8' --> use utf8
  * replace given/when with chained if/elsif/else
  * missing newline between =items (POD)
  * update FSF address
  * bump years of copyrigght
  * put GPL_2 as license in Build.PL (gpl2 is not recognised anymore)
  * move gathering of data from new() to _detect_commits
  * a new internal method, _reset, for resetting the parsed reflog data
  * use strict and warnings in tests
  * tests: replace explicit plans with done_testing()
  * die when the reflog is empty

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 19:48:20 +0000

kgb-bot (1.31-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add build dependency on language-pack-bg-base and delete
      build dependency on missing locales-all. This fixes an FTBFS.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 09 Nov 2013 19:34:21 +0530
