=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: kgb-bot
-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>
@@ -8,6 +9,7 @@
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl,
                      libclass-accessor-perl,
+                     libfile-remove-perl,
                      libfile-touch-perl,
                      libipc-run-perl,
                      libipc-system-simple-perl,
@@ -22,14 +24,16 @@
                      libsoap-lite-perl,
                      libsvn-perl,
                      libtest-compile-perl (>= 0.19),
+                     libtest-differences-perl,
+                     libtest-exception-perl,
                      libtest-pod-coverage-perl,
                      libtest-pod-perl,
                      libwww-shorten-perl,
                      libyaml-perl,
                      git,
                      subversion,
-                     locales-all
-Standards-Version: 3.9.4
+                     language-pack-bg-base
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kgb/kgb.git
 Vcs-Git: git://anonscm.debian.org/kgb/kgb.git/
 Homepage: http://kgb.alioth.debian.org/
