=== debian/watch ===
version=3
https://alioth.debian.org/frs/?group_id=100408 \
    .+/kgb-bot_([\d.]+)\.orig\.tar\.gz
