## kgb-bot 1.34

=== debian/changelog ===
kgb-bot (1.34-2) unstable; urgency=medium

  * Add patch to fix version comparison in a test.
    Thanks to Santiago Vila for the bug report.
    (Closes: #842722)
  * Add dependency on lsb-base to kgb-bot.
    Needed for the init script.
    Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Oct 2016 18:44:25 +0100

kgb-bot (1.34-1) unstable; urgency=medium

  [ gregor herrmann ]
  * kgb-client.conf(5): change example shortening service from Metamark to
    TinyURL, following the example of WWW::Shorten. Metamark is not
    accepting new URLs anymore.

  [ Damyan Ivanov ]
  * also mention cgit in the web-link description
  * add a new script, kgb-ci-report. used to notify about CI failures
  * bump years of copyright

  [ Pierre Schweitzer ]
  * kgb-client: use login name when the full user name is not available
    Closes: #772747
  * Remove ${{project/}} token from the example multi-line message
    configuration (already removed from the single-line configuration)
    Closes: #772749
  * Fix multiline message template
    Closes: #772750

  [ Damyan Ivanov ]
  * TestBot:
    - when waiting for the PID file to appear, also see if it has any content
    - close the PID file after reading it
  * kgb-bot:
    - add the PID to the "Listening on ..." line in the log
    - rewrite the PID management code using OO interface of Proc::PID::File.
      This fixes a rather nasty hardly-reproducible bug causing the PID file
      to be re-created after being removed, which may fool the tests and make
      them hang.
      Closes: #782079
  * kgb-client: add libwww-perl to Recommends, needed by kgb-ci-report

  [ gregor herrmann ]
  * Update (build) dependencies.
    - build-depend on libmodule-build-perl only
      Closes: #834597
    - move libmodule-build-perl to Build-Depends.
    - remove unneeded version from kgb-client dependency
    - add build dependency on libdbd-pg-perl
  * Update Vcs-* headers-.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump debhelper compatibility level to 9.
  * Build.PL:
    - install new kgb-ci-report script
    - add DBD::Pg as requirement in Build.PL
  * debian/*: Switch some URLs to HTTPS. Thanks to duck.
  * Fix some typos in the POD. Thanks to lintian.
  * Drop fix-username-in-tests.patch; applied.
  * Update years of packaging copyright.

  [ Martín Ferrari ]
  * App::KGB::Client::ServerRef:
    - More consistent verbose reporting of server communication.
    - Add --dry-run option for debugging.
    - Bug fix: use correct method when sending a commit info with
      default protocol.
  * App::KGB::Client: format_message: Don't lose data.
    When the commit object does not have all the info, it still overwrites
    data coming from the extra arguments. It meant SVN commits were lacking
    branch and module information completely.

  [ gregor herrmann ]
  * Fix t/52-client-git.t to work with newer git versions as well.
    Since 2.9.0, git allows merging branches without a common ancestors only
    when "--allow-unrelated-histories" is passed. This has lead to test
    failures.
    Pass the parameter conditionally.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Sep 2016 18:26:04 +0200
