=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: kgb-bot
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
+Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9),
+               libmodule-build-perl
 Build-Depends-Indep: perl,
                      libclass-accessor-perl,
+                     libdbd-pg-perl,
+                     libdpkg-perl,
                      libfile-remove-perl,
                      libfile-touch-perl,
                      libipc-run-perl,
                      libipc-system-simple-perl,
                      libjson-xs-perl,
                      libjson-rpc-perl,
-                     libmodule-build-perl (>= 0.400000) | perl (>= 5.17.1),
                      libpoe-component-irc-perl,
                      libpoe-component-server-soap-perl,
                      libpoe-perl,
@@ -32,11 +33,11 @@
                      libyaml-perl,
                      git,
                      subversion,
-                     language-pack-bg-base
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kgb/kgb.git
-Vcs-Git: git://anonscm.debian.org/kgb/kgb.git/
-Homepage: http://kgb.alioth.debian.org/
+                     locales-all
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/kgb/kgb.git
+Vcs-Git: https://anonscm.debian.org/git/kgb/kgb.git/
+Homepage: https://kgb.alioth.debian.org/
 
 Package: kgb-bot
 Architecture: all
@@ -49,9 +50,10 @@
          libpoe-component-server-soap-perl,
          libpoe-perl,
          libproc-pid-file-perl,
+         lsb-base,
          libschedule-ratelimiter-perl,
          libyaml-perl,
-         kgb-client (>= 1.15),
+         kgb-client,
          git
 Suggests: polygen,
           libfile-which-perl
@@ -74,11 +76,13 @@
          libsoap-lite-perl,
          libsvn-perl,
          libyaml-perl
-Replaces: kgb-client-git (<= 1.28-1~)
-Breaks: kgb-client-git (<= 1.28-1~)
-Recommends: libfile-touch-perl,
+Recommends: libdpkg-perl,
+            libfile-touch-perl,
+            libwww-perl,
             libwww-shorten-perl
 Suggests: kgb-bot
+Breaks: kgb-client-git (<= 1.28-1~)
+Replaces: kgb-client-git (<= 1.28-1~)
 Description: client for KGB (IRC collaboration bot)
  KGB is an IRC bot, helping people work together by notifying an IRC channel
  when a commit occurs.
