=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
