## kgb-bot 1.48

=== debian/changelog ===
kgb-bot (1.48-1) unstable; urgency=medium

  * add only_branch webhook option
  * webhook: add (via ...) only when *both* user name and email differs
    between author and pusher

 -- Damyan Ivanov <dmn@debian.org>  Sat, 21 Apr 2018 09:12:21 +0000

kgb-bot (1.47-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * webhook/merge request: drop "revision" output and put the action in square
    brackets
  * set default params in one place
  * add shorten_urls webhook parameter, defaults to 1

  [ James Clarke ]
  * webhook:
    + Better tag deletion messages
    + Show branch deletions (Closes: #895283)

  [ Damyan Ivanov ]
  * fix warning about double "my" in 70-webhook-push.t
  * fix 52-client-git.t and 53-client-git-merges.t with Git 1.17.
    (Closes: 894775)

  [ Colin Finck ]
  * Git client: Support an "author-via" placeholder in the message template,
    which shows the author and committer name if both are different.

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 Apr 2018 13:56:20 +0000

kgb-bot (1.46-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * webhook/push: add always_squash_branch parameter,
    defaults to [ 'upstream', 'upstream/master' ]
  * fix stats counting
  * bot: reload shortening service when short_url_service changes in the
    config
  * document 'short_url_service' in kgb.conf(5)

  [ James Clarke ]
  * Use ! rather than # for GitLab merge requests
  * Use iid rather than global id for merge requests and issues

  [ gregor herrmann ]
  * bot: rename "signed-tags" to "signed tags", as in the client.
  * Add debian/gbp.conf: Turn off pristine-tar feature.

  [ James Clarke ]
  * Set upstream-tree to SLOPPY since we have no upstream tags nor branch

  [ Damyan Ivanov ]
  * add James Clarke to copyright statements
  * update Upstream-Contact and Source fields in debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Mar 2018 05:25:11 +0000

kgb-bot (1.45-1) unstable; urgency=medium

  * kgb-bot.service: run ExecStartPre commands as root (creation/permissions
    of log file)
  * point '/ctcp source' to salsa
  * fix short url code broken in 1.44
  * kgb-bot.service: set TZ=UTC
  * collect some stats - run time, notification counts
  * react to !stats and !statsreset
  * update HOWTO.release
  * fix a mispaste in t/76-webhook-pipeline.t missing a test and a double "my"
    declaration
  * convert debian/watch to a dummy one - there is no other upstream but us
  * autopkgtest: skip smoke tests not supposed to be run with installed
    package
  * shorten compare URL

 -- Damyan Ivanov <dmn@debian.org>  Tue, 06 Mar 2018 06:30:01 +0000

kgb-bot (1.44-1) unstable; urgency=medium

  * bot/webhook: shorten git hashes in URLs
    (as a fallback when URL shortening has problems or is not configured)
  * webhook: no heuristics when determining which params are arrays
  * webhook/pipeline: add support for pipeline_only_status URL parameter
    (multiple values)
    (Closes: #891870)
  * webhook: colorize pipeline success/failure in reverse green/red

 -- Damyan Ivanov <dmn@debian.org>  Sat, 03 Mar 2018 07:45:41 +0000

kgb-bot (1.43-1) unstable; urgency=medium

  * improve pipeline notifications
  * improve commit squash handling

 -- Damyan Ivanov <dmn@debian.org>  Fri, 02 Mar 2018 06:17:51 +0000

kgb-bot (1.42-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * Speed-up KGB joining of channels and setup.
    Monkey-patch the delayed command dispatcher in PoCO::IRC to ignore
    flood-prevention measures for high-priority messages (JOIN, MODE, etc), now
    joins of many channels can be completed in a few seconds.

  [ Damyan Ivanov ]
  * webhooks: make use_irc_notices=1 the default, as advertised

 -- Damyan Ivanov <dmn@debian.org>  Mon, 26 Feb 2018 13:21:58 +0000

kgb-bot (1.41-1) unstable; urgency=medium

  * mark not released versions as 'Not Released' to make Test::CPAN::Changes
    happy
  * add a test ensuring the current release has an entry in Changes
  * webhook: fix accounting the `use_irc_notices` option

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Feb 2018 08:52:53 +0000

kgb-bot (1.40-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/rules: switch from `dh_install --fail-missing' to `dh_missing
    --fail-missing' to prepare for the former's removal in future
    debhelper compatibility levels.
  * debian/rules: use DEB_VERSION_UPSTREAM instead of stripping the Debian
    revision from DEB_VERSION.
  * debian/rules: move version check to override_dh_auto_configure.
    That way the build fails earlier, and DEB_BUILD_OPTIONS=nocheck is
    honoured.
  * Bump debhelper compatibility level to 10.

  [ Damyan Ivanov ]
  * webhook/push: fix the compare URL when squashing branch updates
  * webhook/push: change the default for squash_threshold from 4 to 20

 -- Damyan Ivanov <dmn@debian.org>  Tue, 20 Feb 2018 21:02:13 +0000

kgb-bot (1.39-1) unstable; urgency=medium

  [ gregor herrmann]
  * Fix URL in Homepage in debian/control.

  [ Damyan Ivanov]
  * webhook/push: handle the case when the author is not the person pushing
    the branch

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Feb 2018 20:35:12 +0000

kgb-bot (1.38-1) unstable; urgency=medium

  * webhok/tag_push:
    + add tag URL
    + recognize signed tags

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Feb 2018 13:06:55 +0000

kgb-bot (1.37-1) unstable; urgency=medium

  * webhooks: support squashing of branch updates

 -- Damyan Ivanov <dmn@debian.org>  Fri, 16 Feb 2018 14:17:08 +0000

kgb-bot (1.36-1) unstable; urgency=medium

  * fix typo (push_tag → tag_push) missing tag push webhook events

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Feb 2018 21:30:14 +0000

kgb-bot (1.35-1) unstable; urgency=medium

  [ gregor herrmann ]
  * WWW::Shorten::Debli: use https for deb.li URLs.
    Thanks to pabs for the pointer.

  [ Damyan Ivanov ]
  * use the interpreter running the test to run the test client
    otherwise the system-wide perl is used, which may be configured

