=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kgb-bot
-Maintainer: Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
+Maintainer: Debian KGB Maintainers <kgb-bot@packages.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libmodule-build-perl
 Build-Depends-Indep: perl,
                      libclass-accessor-perl,
+                     libcpan-changes-perl,
                      libdbd-pg-perl,
                      libdpkg-perl,
                      libfile-remove-perl,
@@ -17,6 +18,8 @@
                      libipc-system-simple-perl,
                      libjson-xs-perl,
                      libjson-rpc-perl,
+                     libmonkey-patch-perl,
+                     libnet-ip-perl,
                      libpoe-component-irc-perl,
                      libpoe-component-server-soap-perl,
                      libpoe-perl,
@@ -34,10 +37,11 @@
                      git,
                      subversion,
                      locales-all
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/kgb/kgb.git
-Vcs-Git: https://anonscm.debian.org/git/kgb/kgb.git/
-Homepage: https://kgb.alioth.debian.org/
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/kgb-team/kgb/
+Vcs-Git: https://salsa.debian.org/kgb-team/kgb.git
+Homepage: https://salsa.debian.org/kgb-team/kgb/wikis/home
+Testsuite: autopkgtest-pkg-perl
 
 Package: kgb-bot
 Architecture: all
@@ -46,6 +50,8 @@
          adduser,
          libipc-run-perl,
          libjson-xs-perl,
+         libmonkey-patch-perl,
+         libnet-ip-perl,
          libpoe-component-irc-perl,
          libpoe-component-server-soap-perl,
          libpoe-perl,
@@ -53,7 +59,7 @@
          lsb-base,
          libschedule-ratelimiter-perl,
          libyaml-perl,
-         kgb-client,
+         kgb-client (= ${binary:Version}),
          git
 Suggests: polygen,
           libfile-which-perl
